Summary:	PAM module for using cryptographic tokens
Summary(pl.UTF-8):	Moduł PAM umożliwiający używanie tokenów kryptograficznych
Name:		pam-pam_p11
Version:	0.2.0
Release:	3
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/OpenSC/pam_p11/releases
Source0:	https://github.com/OpenSC/pam_p11/releases/download/pam_p11-%{version}/pam_p11-%{version}.tar.gz
# Source0-md5:	05ca327726120bd6cd31ac298691a762
Patch0:		openssl-1.1.1.patch
URL:		https://github.com/OpenSC/pam_p11
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	libp11-devel >= 0.2.4
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
Requires:	libp11 >= 0.2.4
Obsoletes:	pam-pam_opensc
Obsoletes:	pam_opensc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
pam_p11 is a plugable authentication module (PAM) package for using
cryptographic tokens such as smart cards and USB crypto tokens for
authentication.

%description -l pl.UTF-8
pam_p11 to moduł uwierzytelniający (PAM) umożliwiający
uwierzytelnianie przy użyciu tokenów kryptograficznych, takich jak
karty procesorowe i tokeny kryptograficzne USB.

%prep
%setup -q -n pam_p11-%{version}
%patch0 -p1

%build
%configure \
	--disable-static \
	--disable-strict
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/*.la
# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/pam_p11/NEWS

%find_lang pam_p11

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pam_p11.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) /%{_lib}/security/pam_p11.so
%changelog
* Fri Sep 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_p11.git;a=log;h=master

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> c479fd6
- rebuild with openssl 3.0.0

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 230eea6
- disable strict (-Werror causes build failure on signedness warning)
- package de translation
- release 2

* Sun Oct 21 2018 Jan Rękorajski <baggins@pld-linux.org> 4358cf8
- up to 0.2.0

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c90d38c
- release 2 (by relup.sh)

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 1eb68ba
- new URLs, updated to 0.1.6

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d4695f7
- release 4

* Wed Aug 11 2010 zbyniu <zbyniu@pld-linux.org> f885283
- rel 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ae73e10
- release 2

* Mon Nov 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 450dc99
- updated to 0.1.5

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> c54dbac
- updated to 0.1.4

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 453b8e9
- updated to 0.1.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e6ff1a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8048e62
- converted to UTF-8

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 77068c1
- updated URLs

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> f24f629
- updated Source0 URL

* Mon Nov 07 2005 Jakub Bogusz <qboosh@pld-linux.org> fa1a19b
- BR openssl 0.9.7 (with pkgconfig support)

* Mon Nov 07 2005 Jakub Bogusz <qboosh@pld-linux.org> f5ef17c
- new, pam_opensc replacement

